/* Global CSS */
.black-btn{
  background-color: #000000;
}
.uppercase-text{
  text-transform: uppercase;
}


/* Product Filter */

.product-filter{
  background-color: #184765; 
  padding: 32px;
}
.product-filter h3.filter-title{
  font-size: 24px;
  font-weight: 800;
  color: #ffffff;
  text-align: center;
  margin-bottom: 10px;
}
.product-filter h3.filter-title-second{
  font-size: 22px;
  font-weight: 700;
  color: #ffffff;
  text-align: center;
  margin-bottom: 10px;
}
.product-filter h3.filter-title-third{
  font-size: 22px;
  font-weight: 700;
  color: #ffffff;
  text-align: center;
  margin-bottom: 10px;
}
.product-filter .range-slider,.product-filter .price-values, .form-group.filter-dp.dropdown, .product-filter .form-group input{
	margin-bottom:20px !important;
}

.filter-tabs{
  display: flex; 
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 10px;
  align-content: center;
  align-items: center;
  margin-bottom: 20px;
}

/* product archive page */
.product-archive .filter-tabs{
  justify-content: unset !important;
  gap: 8px !important;
}
.product-archive .product-filter{
  padding: 24px !important;
}

.filter-tabs a.tab{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
  background-color: transparent;
  color: #fff;
  text-decoration: none;
  text-align: center;
  width: 31%;
  cursor: pointer;
  border-radius: 2px;
}
.product-archive .filter-tabs a.tab{
  font-size: 14px !important;
}
.filter-tabs a.tab:hover{
  background-color: #1A8CA7;
}
.filter-tabs .tab.active{
  background-color: #1A8CA7;
}

.tab-contents .tab-content {
  display: none;
}
.tab-contents .tab-content.active{
  display: flex;
  flex-wrap: wrap;
  gap : 10px;
  margin-bottom: 20px;
  /* justify-content: space-between; */
   
}
/* .half-field.form-group.filter-dp.dropdown{
  width: 48%;
}
.filter-dropdown.attribute{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
} */
.product-filter .form-group label{
   font-size: 16px;
   color: #ffffff;
}

.check-group{
  color: #ffffff;
  background-color: rgb(9,41,62);
  padding: 10px;
  border-radius: 2px;
  cursor: pointer;
}

.check-group.selected{
  background-color: #1A8CA7;
}
.check-group input {
  /* pointer-events: none; */
}
.check-group label{
  font-size: 12px;
  color: #ffffff;
}
.check-group input.form-check-input{
  display: none;
}

.price-filter {
  width: 100%;
  color: #fff;
}

.price-label {
  font-weight: 600;
  margin-bottom: 10px;
  display: block;
}

.price-values {
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  margin-bottom: 14px;
}

.range-slider {
  position: relative;
  width: 100%;
  height: 6px;
}

/* Background track */
.slider-track {
  position: absolute;
  height: 6px;
  width: 100%;
  background: #d7d7d7;
  border-radius: 3px;
  top: 50%;
  transform: translateY(-50%);
}

/* Active range */
.slider-track::before {
  content: "";
  position: absolute;
  height: 6px;
  background: #184765;
  border-radius: 3px;
  left: var(--left, 0%);
  right: var(--right, 0%);
}

/* Range inputs */
.range-slider input[type="range"] {
  position: absolute;
  width: 100%;
  height: 6px;
  background: none;
  pointer-events: none;
  -webkit-appearance: none;
  top: 50%;
  transform: translateY(-50%);
  z-index: 2;
}

/* Thumb */
.range-slider input::-webkit-slider-thumb {
  pointer-events: auto;
  -webkit-appearance: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: #fff;
  border: 2px solid #184765;
  cursor: pointer;
  z-index: 3;
}

.range-slider input::-moz-range-thumb {
  pointer-events: auto;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: #fff;
  border: 2px solid #184765;
  cursor: pointer;
}

button.filter-btn{
  background-color: #000000;
}


@media (max-width: 767px) {
  .elementor-absolute.product-filter-pos {
    position: unset !important;
  }

  /* .filter-tabs a.tab{
    width: 45%;
  } */

}
/* Add Product Form */
.vendor-add-product .form-group{
  /* display: block; */
  margin-bottom: 20px;
}
.vendor-add-product .prd-form-row .form-group .form-notice{
  font-size: 12px;
  color: #888;
  /* margin-top: 6px; */
  padding-top: 10px;
}
.vendor-add-product .prd-form-row .form-group .required{
  color: #FF0000;
}
.prd-form-row{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 100%;
}
/* .form-group {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
} */
.vendor-add-product input[type="file"]{
  width: 100%;
}
.prd-form-row .form-group.full{
  width: 100%;
}
.prd-form-row .form-group.half{
  width: 48%;
}
.form-group.checkbox{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
}

.prd-form-row ul.gl-preview-img{
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  margin: 0px;
  gap: 8px;
}
.gl-preview-img li{
  position: relative;
}
.gl-preview-img li span.preview-remove-img{
  position: absolute;
  right: 0;
  cursor: pointer;
}
.product-ft-prev{
  position: relative;
  margin-top: 10px;
}
.product-ft-prev .preview-remove-img{
  position: absolute;
  cursor: pointer;
}
.vendor-add-product button.add-product:hover{
  background-color: #000000;
}
.add-product-response{
  margin-top: 16px;
}
.add-product-response .error{
  color: #FF0000;
}
.add-product-response .success{
  color: #008000;
}

/* Product lists */
.product-lists{
  border-collapse: collapse;
}
table.product-lists tr{
 border: 1px solid #ddd !important;
}
table.product-lists th,
table.product-lists td {
  text-align: center;
  padding: 10px;
  border: 1px solid #ddd !important;

}

/* Shop */
.shop-product-list .elementor-pagination .page-numbers.current{
  background-color: #09293E;
  padding: 4px 10px;
  color: #fff;
  border-radius: 2px;
}

.shop-product-list .elementor-pagination a.page-numbers{
  background-color: #184765;
  padding: 4px 10px;
  border-radius: 2px;
  color: #ffffff;
}

.shop-product-list .company-nm{
  color: #ffffff;
}

/* Responsiveness */
@media (max-width: 767px){
  .prd-form-row .form-group.half{
    width: 100%;
  }
}